chacha.h File Reference

Classes for ChaCha8, ChaCha12 and ChaCha20 stream ciphers. More...

Go to the source code of this file.

## Classes

class | ChaCha_Info< R >
| ChaCha stream cipher information. More...
class | ChaCha_Policy< R >
| ChaCha stream cipher implementation. More...
class | ChaCha8
| ChaCha8 stream cipher. More...
class | ChaCha12
| ChaCha12 stream cipher. More...
class | ChaCha20
| ChaCha20 stream cipher. More...

## Detailed Description

Classes for ChaCha8, ChaCha12 and ChaCha20 stream ciphers.

Since
  Crypto++ 5.6.4

Definition in file chacha.h.